## gpstrans 0.39

=== Makefile ===
##############################################################################
#
#                Makefile for the ascii-version of GPStrans
#
##############################################################################

all: 
	@make -C src/

clean:
	@echo "Cleaning all in ./"
	@rm -f src/core src/gpstrans src/*.o src/*.bak src/*~ src/#*#
	@echo "Cleaning all in ./gps"
	@(cd src/gps  ; make clean)
	@echo "Cleaning all in ./grid"
	@(cd src/grid ; make clean)
	@echo "Cleaning all in ./getline"
	@(cd src/getline ; make clean)

install:
	@strip src/gpstrans
	@cp src/gpstrans /usr/local/bin/gpstrans
	@gzip -9 doc/gpstrans.1 > /usr/share/man/man1/gpstrans.1.gz
	@echo "Installation complete!"

make uninstall:

	@rm -f /usr/local/bin/gpstrans
	@rm -f /usr/share/man/man1/gpstrans.1.gz
	@rm -f ~/.gpstrans
	@echo "Uninstall complete!"
