=== src/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 #
 ##############################################################################
 #
-# Make you changes here, you don't need to change Makefiles in the sub-dir's
+# Make changes here, and you don't need to change Makefiles in the sub-dir's
 #
 ##############################################################################
 CC	= gcc
 
 # use -DSUNOS41 for SunOS 4.1.x
 # usr -DHPUX    for HPUX
-CFLAGS	= -Wall -pedantic -g -O3 -D__LINUX__
+CFLAGS	= -Wall -g -D__LINUX__
+# -O3
 LDFLAGS	= -lm
