=== src/gps/Makefile ===
--- 
+++ 
@@ -4,17 +4,17 @@
 #
 ##############################################################################
 #
-# You don't need to change anything here. Do every changes in ./Makefile
+# You don't need to change anything here. Do every change in ./Makefile
 #
 ##############################################################################
 CC	= gcc
 INCLUDES=-I../include
-CFLAGS	= -g -D__LINUX__
+CFLAGS	= -g -D__LINUX__ -DDEBUG
 
 
 OFILES	= sendgpsinfo.o dms.o datum.o calendar.o gpsmessage.o garmincomm.o  \
 	  garminserial.o getgpsinfo.o latlong.o
-HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h
+HFILES  = ../include/defs.h ../include/Prefs.h ../include/Garmin.h ../include/protocols.h
 
 .c.o:	$(HFILES)
 	$(CC) -c $(CFLAGS) $(INCLUDES) $<
