=== debian/changelog ===
gpstrans (0.41-12) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096762)
  * debian/control: Remove dead Homepage link.
  * debian/control: Architecture: linux-any

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Oct 2025 19:54:17 +0300

gpstrans (0.41-11) unstable; urgency=medium

  * QA upload.

  * Updated 1070-64bit-time.patch to actually fix armhf build failure.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Aug 2024 18:50:41 +0200

gpstrans (0.41-10) unstable; urgency=medium

  * QA upload.

  * Use time_t as ctime() argument to use 64 bit time on 32 bit platforms
    (Closes: #1078085).
  * Introduced patch numbering scheme.
  * Updated Standards-Version from 4.5.1 to 4.7.0.
  * Adjusted metadata of 1030-fix-makefile.diff.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 07 Aug 2024 08:13:52 +0200

gpstrans (0.41-9) unstable; urgency=medium

  * QA upload.

  * Corrected 1000-appstream-metainfo.patch to avoid errors from appstream.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Aug 2024 22:52:19 +0200

gpstrans (0.41-8) unstable; urgency=medium

  * QA upload.

  * Added 1000-appstream-metainfo.patch with AppStream metainfo XML
    announcing supported hardware.
  * Added d/gbp.conf to enforce use of pristine-tar and specify
    used branches.
  * Added 1010-gl-in-hook-prototype.patch to ensure consistent
    gl_in_hook declarations (Closes: #688452).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 20 Jul 2024 12:25:59 +0200

gpstrans (0.41-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields pointing to Salsa.
      - Bumped Standards-Version to 4.5.1.
      - Changed Priority from extra to optional.
      - Changed the short description to reflect the use of serial port
        communication. (Closes: #932748)
  * debian/copyright:
      - Fixed a typo in Comment field.
      - Updated packaging copyright.
      - Using secure URI.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide CI tests for the package.
  * debian/watch: bumped version to 4.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sun, 24 Jan 2021 20:13:41 -0300

gpstrans (0.41-6) unstable; urgency=medium

  * QA upload.
  * 05-libgetline-re-enable-posix-macro.diff: New, add missing -DPOSIX for
    getline, thanks to Jurica Stanojkovic.  (Closes: #818298)
  * Bumped Standards-Version to 3.9.7.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 19 Mar 2016 15:49:11 +0100

gpstrans (0.41-5) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.6.
  * debian/control: added the original upstream homepage.
  * debian/copyright:
     - Migrated to 1.0 format.
     - Updated all data.
  * debian/Makefile.patch: removed because this file is useless.
  * debian/patches: created the 04-fix-makefile.diff to improve the GCC
    hardening.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to improve
    the GCC hardening.
  * debian/watch: added a fake site to explain about the current status
    of the original upstream homepage.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 01 Dec 2015 07:58:10 -0200

gpstrans (0.41-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add debian/patches/03-src-makefile-flags.diff to avoid overwriting CFLAGS
    and LDFLAGS in src/Makefile.
  * Rewrite debian/rules using dh(1).
  * Set debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.5.
  * Add debian/gpstrans.manpages.

 -- Emanuele Rocca <ema@debian.org>  Fri, 28 Mar 2014 13:43:14 +0100

gpstrans (0.41-3) unstable; urgency=low

  * debian/control: bump debian policy number to 3.8.4 (no changes
    needed).  Add dependency "${misc:Depends}".

 -- James R. Van Zandt <jrv@debian.org>  Sun, 07 Feb 2010 10:29:42 -0500

gpstrans (0.41-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed getline() in my_getline() to avoid eglibc colliding names in getline.c.
    (closes: #552864)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 27 Jan 2010 17:18:46 +0100

gpstrans (0.41-2) unstable; urgency=low

  * suggest setserial (thanks to Joerg Schuetter <joerg@schuetter.org>,
    closes:Bug#513137)

  * debian/copyright: mention that GPL can be found in
    /usr/share/common-licenses, to silence lintian complaint.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 14 Feb 2009 10:08:23 -0500

gpstrans (0.41-1) unstable; urgency=low

  * New upstream release: incorporates fix for segfault identified by
    Robie Basak (#399828)
  * debian/watch: delete, since I am the upstream maintainer (closes:Bug#449884)
  * debian/dirs: don't include usr/sbin
  * debian/rules: obey DEBIAN_BUILD_OPTIONS "nostrip" flag
  * debian/control: bump debian policy number to 3.8.0

 -- James R. Van Zandt <jrv@debian.org>  Wed, 16 Jul 2008 20:09:58 -0400

gpstrans (0.40-3.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Fix segfault using patch from Robie Basak (Closes: #399828).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 23:38:02 +0200

gpstrans (0.40-3) unstable; urgency=low

  * don't always strip the binary (closes:Bug#437077)
  * don't ignore failures in "make clean" (silence lintian warning)
  * bump standards level to 3.7.2 (no changes needed)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 10 Aug 2007 21:50:08 -0400

gpstrans (0.40-2) unstable; urgency=low

  * debian/rules: #define POSIX and unix, for compilation of getline on
    alpha, mips, and mipsel.
  * debian/foo: delete extraneous file.


