=== debian/control ===
Source: gpstrans
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/gpstrans.git
Vcs-Browser: https://salsa.debian.org/debian/gpstrans

Package: gpstrans
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: setserial
Description: communicate via serial port with a Garmin GPS receiver
 GPStrans allows a user with a Garmin GPS receiver to upload and
 download waypoints, routes, almanac (satellite orbit elements),
 and track routes.
