=== debian/tests/control ===
Test-Command: gpstrans --help 2>&1 | grep GPStrans
Restrictions: superficial

Test-Command: gpstrans -v 2>&1
Restrictions: superficial
